Loading...
Searching...
No Matches
Dune::TypeTree::has_node_tag< T > Struct Template Reference

`#include <dune/typetree/typetraits.hh>`

## Classes

struct | yes
struct | no

## Static Public Member Functions

template<typename X>
static yes | test (NodeTag< X > *)
template<typename X>
static no | test (...)

## Static Public Attributes

static constexpr bool | value = sizeof(test<T>(0)) == sizeof(yes)
| True if class T defines a NodeTag.

## Member Function Documentation

## test() [1/2]

template<typename T>
template<typename X>

no Dune::TypeTree::has_node_tag< T >::test | ( |  | ... | ) |

static

## test() [2/2]

template<typename T>
template<typename X>

yes Dune::TypeTree::has_node_tag< T >::test | ( | NodeTag< X > * |  | ) |

static

## Member Data Documentation

## value

template<typename T>

bool Dune::TypeTree::has_node_tag< T >::value = sizeof(test<T>(0)) == sizeof(yes)

static constexpr

True if class T defines a NodeTag.

The documentation for this struct was generated from the following file:

- typetraits.hh